#!/usr/bin/ruby

require 'socket'

server = TCPServer.new('0.0.0.0', 4242)
while (session = server.accept)
	Thread.start(session) do |sess|
		port, host = sess.peeraddr[1,2]
		while line = sess.gets
			print "[#{Time.now.to_s} #{host}:#{port}] - #{line}"
		end
	end
	Thread.start(session) do |sess|
		sess.puts "DEBUG:You're connected on port #{sess.peeraddr[1,2].join(' from ')}"
		["ppc", "i386", "sparc"].each do |arch|
			sess.puts "COMPILE:#{arch};foobar 4.2"
		end
		sleep 10
		sess.puts "QUIT:"
		sess.close
	end
end
